<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_13447b0cdae3de9f0a4fa895baf5" . "8541" => base64_decode("Li4vY29tbW9uL3JlcG9" . "ydHNfcGtnLnBocA=="), "_7f628626dd1d55c71b1fc09" . "32ffd1d2c" => base64_decode("aXNfYXJyYX" . "k="), "_c2746b6f6ffb5c666ae214e" . "60e11a456" => base64_decode("cmVw" . "b3J0"), "_46ba55814a34d9116b7af0de7877" . "687b" => base64_decode("Y3N2X3NlcGFyYX" . "Rvcg=="), "_f81f805340" . "741b45f585a" . "b1eee1ca24a" => base64_decode("RkZD" . "b250" . "cm9s"), "_c51bc96" . "058fbdbf" . "4c2ef19b" . "306d1a12" . "4" => base64_decode("Y2xhc3Nf" . "ZXhpc3Rz"));
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_13447b0cdae3de9f0a4fa89" . "5baf58541"];




abstract class ReportTemplate extends CommonList
{
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public $additional_options;
    
    
    protected $controls_list;
    protected $controls_array;
    protected $user_data;
    protected $title;
    protected $description;
    protected $sort;
    protected $sort_dir;
    public function __construct($title, $_28fd57f750dbb5ffb3ffad3a888358a9)
    {
        parent::__construct($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c2746b6f" . "6ffb5c666" . "ae214e60e" . "11a456"]);
        $this->title = $title;
        $this->description = $_28fd57f750dbb5ffb3ffad3a888358a9;
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_7f628626dd1" . "d55c71b1fc09" . "32ffd1d2c"]($this->controls_list)) {
            $this->controls_list = array();
        }
        
        
        $this->controls_array = array();
        foreach ($this->controls_list as $_c11ec22306436b9dcbce14cb324e64b7 => $_f581d39e86fb4a174ebd3442d0c6508e) {
            list($_aa39c74587ed4b14d5092d907c54feea, $_5ee998c664e97d7a21759e1f36806b02) = $_f581d39e86fb4a174ebd3442d0c6508e;
            $_cf58d50fa50aab09e047075c4b2206cd = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_f81f805340741b45f58" . "5ab1eee1ca24a"] . $_aa39c74587ed4b14d5092d907c54feea;
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_c51bc960" . "58fbdbf4c" . "2ef19b306" . "d1a124"]($_cf58d50fa50aab09e047075c4b2206cd)) {
                $_5be577b0b7b9b5f098c9e7e5fe031d95 = new $_cf58d50fa50aab09e047075c4b2206cd($_c11ec22306436b9dcbce14cb324e64b7, $_5ee998c664e97d7a21759e1f36806b02);
                $this->controls_array[] = $_5be577b0b7b9b5f098c9e7e5fe031d95;
            }
        }
    }
    public function Init(\Psr\Http\Message\ServerRequestInterface $request = null, $_7b140db389b42fe76ff3a4d3715b9e14 = null)
    {
        parent::Init($request);
        $this->user_data = $_7b140db389b42fe76ff3a4d3715b9e14;
        if (isset($this->user_data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_46ba55814a34d9116b7af0de78776" . "87b"]])) {
            $this->csv_separator = $this->user_data[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_46ba55814a34" . "d9116b7af0de7" . "877687b"]];
        }
        $this->sort = $this->controls->sort->sort;
        $this->sort_dir = $this->controls->sort->sort_dir;
    }
    public function GetTitle()
    {
        return $this->title;
    }
    public function GetDescription()
    {
        return $this->description;
    }
    public function GetControls()
    {
        return $this->controls_array;
    }
    public function SetControl($name, $_5be577b0b7b9b5f098c9e7e5fe031d95)
    {
    }
    
    
    
    
    
    
    
}